from datetime import date

def transform():
	logger.info("Python begin")
	
	#read fields using using methods from clover_utils.py
	name = get_string_field("Name")
	surname = get_string_field("Surname")
	birth_date = get_date_field("BirthDate")
	country = get_string_field("Country")

	#start legacy process
	res = legacy_process_person(name, surname, birth_date, country)
	
	#set fields by legacy process output
	set_field("Name", res[0])
	set_field("Surname", res[1])
	set_field("Age", res[2])
	set_field("FromUSA", res[3])
	
	logger.info("Python end")
	
def legacy_process_person(name, surname, birth_date, country):
	diff = date.today()-birth_date
	
	return [name, surname, diff.days/365, country=="United States of America"]
