from datetime import date

def get_string_field(name):
	field = input_record.getField(name)
	if field.isNull():
		return None
	else:
		return field.getValue().toString()
		
def get_date_field(name):
	field = input_record.getField(name)
	if field.isNull():
		return None
	else:
		return date.fromtimestamp(float(field.getValue().time)/1000)
		
def set_field(name, value):
	output_record.getField(name).setValue(value)